Index: src/vector.hpp
===================================================================
--- src/vector.hpp	(revision caf5d608169807a028a2cd63e1c2eb8962eaa347)
+++ src/vector.hpp	(revision e4ea462e4975fcf1debaf5bbf7e4ced6f9d55b4d)
@@ -7,5 +7,5 @@
  * basically, just a x[3] but with helpful functions
  */
-class Vector {   
+class Vector {
   public:
     double x[NDIM];
@@ -16,4 +16,5 @@
 
   double Distance(const Vector *y) const;
+  double DistanceSquared(const Vector *y) const;
   double PeriodicDistance(const Vector *y, const double *cell_size) const;
   double ScalarProduct(const Vector *y) const;
@@ -28,5 +29,5 @@
   void VectorProduct(const Vector *y);
   void ProjectOntoPlane(const Vector *y);
-  void Zero(); 
+  void Zero();
   void One(double one);
   void Init(double x1, double x2, double x3);
@@ -41,5 +42,5 @@
   void KeepPeriodic(ofstream *out, double *matrix);
   void LinearCombinationOfVectors(const Vector *x1, const Vector *x2, const Vector *x3, double *factors);
-  
+
   double CutsPlaneAt(Vector *A, Vector *B, Vector *C);
   bool GetOneNormalVector(const Vector *x1);
